Skip to content

Embedded Payments API (1.0)

The API allows a POS to accept Embedded Payments payments.

Overview
Languages
Servers
Production
https://api.tyro.com/connect

Merchants

Operations

Locations

Operations

Connections

Operations

Readers

Operations

List Readers

Request

This endpoint is used for retrieving a list of Readers. Readers represent the Embedded Payments Reader at the physical location. The Reader ID is required to create a Reader Connection to initialise the Tyro Embedded Payments SDK.

Security
JWT
Path
merchantIdstringrequired

The Merchant ID associated with the reader

Example: 98765
Query
locationIdstring

The Tyro Connect Location Id of the Readers to be retrieved. This parameter is optional.

Example: locationId=tc-exampleshop-3000
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X GET \
  'https://api.tyro.com/connect/tap-to-pay/merchants/98765/readers?locationId=tc-exampleshop-3000' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The list Readers

Bodyapplication/json
resultsArray of objects(Reader)

The list of Readers

Response
application/json
{ "results": [ {} ] }

Create a Reader

Request

An async endpoint used for creating a Reader. Register a webhook to be notified when a Reader is created after this endpoint is invoked. Readers represent the Embedded Payments Reader at the physical location. The Reader ID is required to create a Reader Connection to initialise the Tyro Embedded Payments SDK.

Security
JWT
Path
merchantIdstringrequired

The Merchant ID creating the reader

Example: 98765
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
Content-Typestringrequired
Value"application/json"
Bodyapplication/json
namestringrequired

The name or description used to identify the reader

Example: "Reader 1 - Example Shop Sydney"
locationIdstringrequired

The Tyro Connect Location ID

Example: "tc-exampleshop-3000"
curl -i -X POST \
  https://api.tyro.com/connect/tap-to-pay/merchants/98765/readers \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "Reader 1 - Example Shop Sydney",
    "locationId": "tc-exampleshop-3000"
  }'

Responses

Accepted

Response
No content

Get a Reader

Request

This endpoint is used for retrieving a Reader. Readers represent the Embedded Payments Reader at the physical location. The Reader ID is required to create a Reader Connection to initialise the Tyro Embedded Payments SDK

Security
JWT
Path
merchantIdstringrequired

The Merchant ID associated with the reader

Example: 98765
readerIdstringrequired

The Reader ID

Example: 0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X GET \
  https://api.tyro.com/connect/tap-to-pay/merchants/98765/readers/0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The requested Reader

Bodyapplication/json
readerIdstring

The ID of the reader as specified by the Tyro Connect system. This value will be required when creating an Embedded Payments connection.

Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"
locationIdstring

The ID of the location as specified by the Tyro Connect system

Example: "tc-exampleshop-3000"
namestring

The name of the reader, a readable identifier for the reader.

Example: "Reader 1 - Example Shop Sydney"
statusstring

Status of the ReaderID

Enum"ACTIVE""SUSPENDED""PENDING_CREATION""DEACTIVATED"
caidstring

a secondary id which represents the location

Response
application/json
{ "readerId": "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149", "locationId": "tc-exampleshop-3000", "name": "Reader 1 - Example Shop Sydney", "status": "ACTIVE", "caid": "string" }

Transactions

Operations